Bug 1051052 - Enabling nfs-secure.service alone does not guarantee that it'll be started on boot
Summary: Enabling nfs-secure.service alone does not guarantee that it'll be started on...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: nfs-utils
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Steve Dickson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-09 16:13 UTC by Ondrej
Modified: 2015-02-17 19:52 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 19:52:29 UTC
Type: Bug


Attachments (Terms of Use)

Description Ondrej 2014-01-09 16:13:58 UTC
I am using nfs-secure service so I have enabled it with
# systemctl enable nfs-secure
But after system reboot I see the the service is dead and I have to restart it manually.

What could be wrong?

Comment 1 Zbigniew Jędrzejewski-Szmek 2014-01-10 04:34:31 UTC
You need to 'systemctl enable nfs.target'.

@nfs-utils maintainers: The same treatment as in https://bugzilla.redhat.com/show_bug.cgi?id=1047972 should be applied here.

Comment 2 Ondrej 2014-01-10 13:27:46 UTC
Thanks for the tip - will try.
But I do not want to run a NFS server here. I only want to run rpc.gssd/gssproxy (i.e. the NFS client).
So not sure if this is the ideal solution.

Comment 3 Zbigniew Jędrzejewski-Szmek 2014-01-10 13:51:32 UTC
What is in nfs.target is determined by various systemctl enable/disable commands. If you don't do systemctl enable nfs-server, or do systemctl disable nfs-server, it shouldn't be part of nfs.target.

Comment 4 Ondrej 2014-01-10 14:22:26 UTC
Ok, thanks for the explanation.
So "systemctl -a" is not quite correct here:
nfs.target                                                    loaded active   active    Network File System Server

nfs.target does not necessearily mean nfs server.

BTW: would it be possible to invoke some tree-like view? It would help to understand which services belongs to which targets... not sure if it is relevant. I am quite new to systemd.

Comment 5 Ondrej 2014-01-10 14:50:48 UTC
Also:
systemctl -a -t service
does not list nfs.service at all on my F-19.

Comment 6 Zbigniew Jędrzejewski-Szmek 2014-01-10 14:59:56 UTC
(In reply to Ondrej from comment #4)
> Ok, thanks for the explanation.
> So "systemctl -a" is not quite correct here:
> nfs.target                                                    loaded active 
> active    Network File System Server
You mean the description. Yes, I guess it could be improved.

> nfs.target does not necessearily mean nfs server.
> 

> BTW: would it be possible to invoke some tree-like view? It would help to
> understand which services belongs to which targets... not sure if it is
> relevant. I am quite new to systemd.
systemctl list-dependencies xxx.service

(Also with --reverse, --before, --after, --all)

(In reply to Ondrej from comment #5)
> Also:
> systemctl -a -t service
> does not list nfs.service at all on my F-19.
nfs.service is an alias (symlink) to nfs-server.service. The latter should be shown.

Comment 7 Ondrej 2014-01-10 15:10:19 UTC
No:
[ondrejv@localhost ~]$ systemctl status nfs-server
nfs-server.service - NFS Server
   Loaded: loaded (/usr/lib/systemd/system/nfs-server.service; disabled)
   Active: inactive (dead)

[ondrejv@localhost ~]$ systemctl -a -t service | grep -i nfs
[ondrejv@localhost ~]$ 
:-(

Comment 8 Zbigniew Jędrzejewski-Szmek 2014-01-10 15:19:15 UTC
It'll be shown if you use systemctl list-unit-files. If it's not needed by anything or started, it won't be shown in list-files.

Comment 9 Alan Johnson 2014-08-25 20:05:32 UTC
Ondrej, perhaps a `systemctl daemon-reload` is needed to make things more consistant?  I wish packages that installed units would run this when they are installed.  samba and nfs-utils are the ones that got me until I remembered this.  On the other hand, if they took care of it for me, I may never have become familar with daemon-reload.  On yet another hand (where is Zaphod when you need him?), I might not ever have cared to know about it if these packages did it themselves. =)

Comment 10 Fedora End Of Life 2015-01-09 21:05:44 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 11 Fedora End Of Life 2015-02-17 19:52:29 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.